package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 提前批招生计划对象 b_busi_wish_university_submit_pre_recruit_plan
 *
 * @author voluntary
 * @date 2023-03-05
 */
public class BusiWishUniversitySubmitPreRecruitPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 标签 */
    @Excel(name = "标签")
    private String tag;
    private String tagCode;
    private String category;
    private String dataType;

    /** 院校招生代码 */
    @Excel(name = "院校招生代码")
    private String collegeCode;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 选科组合 */
    @Excel(name = "选科组合")
    private String course;
    private String course0;
    private String course1;
    private String course2;

    /** 院校 */
    @Excel(name = "院校")
    private String universityId;

    /** 院校编码 */
    @Excel(name = "院校编码")
    private String universityCode;

    /** 院校名 */
    @Excel(name = "院校名")
    private String universityName;

    /** 专业编码 */
    @Excel(name = "专业编码")
    private String marjorCode;

    /** 专业名 */
    @Excel(name = "专业名")
    private String marjorName;

    /** 包含专业 */
    @Excel(name = "包含专业")
    private String marjorBelongs;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String marjorDirection;

    /** 父级备注 */
    @Excel(name = "父级备注")
    private String premark;

    /** 组别 */
    @Excel(name = "组别")
    private String groups;

    /** 组别名称 */
    @Excel(name = "组别名称")
    private String groupsName;

    /** 计划数 */
    @Excel(name = "计划数")
    private String planCount;

    /** 学费 */
    @Excel(name = "学费")
    private String xuefei;

    /** 学制 */
    @Excel(name = "学制")
    private String xuezhi;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Long status;

    /**对应搜索universityName或majorName **/
    private String keyword;
    /**对应搜索course0，物理/历史或文科/理科**/
    private String type;

    private List<BusiWishUniversitySubmitPreRecruitPlan> subMajors;


    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
    public List<BusiWishUniversitySubmitPreRecruitPlan> getSubMajors() {
        return subMajors;
    }

    public void setSubMajors(List<BusiWishUniversitySubmitPreRecruitPlan> subMajors) {
        this.subMajors = subMajors;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getTagCode() {
        return tagCode;
    }

    public void setTagCode(String tagCode) {
        this.tagCode = tagCode;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCourse0() {
        return course0;
    }

    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse1() {
        return course1;
    }

    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public String getCourse2() {
        return course2;
    }

    public void setCourse2(String course2) {
        this.course2 = course2;
    }

    /** udid */
    @Excel(name = "udid")
    private String udid;

    /** pudid */
    @Excel(name = "pudid")
    private String pudid;
    private List<String> pudids;

    public List<String> getPudids() {
        return pudids;
    }

    public void setPudids(List<String> pudids) {
        this.pudids = pudids;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTag(String tag)
    {
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }
    public void setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode()
    {
        return collegeCode;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setLevel(String level)
    {
        this.level = level;
    }

    public String getLevel()
    {
        return level;
    }
    public void setCourse(String course)
    {
        this.course = course;
    }

    public String getCourse()
    {
        return course;
    }
    public void setUniversityId(String universityId)
    {
        this.universityId = universityId;
    }

    public String getUniversityId()
    {
        return universityId;
    }
    public void setUniversityCode(String universityCode)
    {
        this.universityCode = universityCode;
    }

    public String getUniversityCode()
    {
        return universityCode;
    }
    public void setUniversityName(String universityName)
    {
        this.universityName = universityName;
    }

    public String getUniversityName()
    {
        return universityName;
    }
    public void setMarjorCode(String marjorCode)
    {
        this.marjorCode = marjorCode;
    }

    public String getMarjorCode()
    {
        return marjorCode;
    }
    public void setMarjorName(String marjorName)
    {
        this.marjorName = marjorName;
    }

    public String getMarjorName()
    {
        return marjorName;
    }
    public void setMarjorBelongs(String marjorBelongs)
    {
        this.marjorBelongs = marjorBelongs;
    }

    public String getMarjorBelongs()
    {
        return marjorBelongs;
    }
    public void setMarjorDirection(String marjorDirection)
    {
        this.marjorDirection = marjorDirection;
    }

    public String getMarjorDirection()
    {
        return marjorDirection;
    }
    public void setPremark(String premark)
    {
        this.premark = premark;
    }

    public String getPremark()
    {
        return premark;
    }
    public void setGroups(String groups)
    {
        this.groups = groups;
    }

    public String getGroups()
    {
        return groups;
    }
    public void setGroupsName(String groupsName)
    {
        this.groupsName = groupsName;
    }

    public String getGroupsName()
    {
        return groupsName;
    }
    public void setPlanCount(String planCount)
    {
        this.planCount = planCount;
    }

    public String getPlanCount()
    {
        return planCount;
    }
    public void setXuefei(String xuefei)
    {
        this.xuefei = xuefei;
    }

    public String getXuefei()
    {
        return xuefei;
    }
    public void setXuezhi(String xuezhi)
    {
        this.xuezhi = xuezhi;
    }

    public String getXuezhi()
    {
        return xuezhi;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public String getUdid() {
        return udid;
    }

    public void setUdid(String udid) {
        this.udid = udid;
    }

    public String getPudid() {
        return pudid;
    }

    public void setPudid(String pudid) {
        this.pudid = pudid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("tag", getTag())
                .append("collegeCode", getCollegeCode())
                .append("year", getYear())
                .append("location", getLocation())
                .append("level", getLevel())
                .append("course", getCourse())
                .append("universityId", getUniversityId())
                .append("universityCode", getUniversityCode())
                .append("universityName", getUniversityName())
                .append("marjorCode", getMarjorCode())
                .append("marjorName", getMarjorName())
                .append("marjorBelongs", getMarjorBelongs())
                .append("marjorDirection", getMarjorDirection())
                .append("premark", getPremark())
                .append("groups", getGroups())
                .append("groupsName", getGroupsName())
                .append("planCount", getPlanCount())
                .append("xuefei", getXuefei())
                .append("xuezhi", getXuezhi())
                .append("status", getStatus())
                .append("createTime", getCreateTime())
//                .append("udid", getUdid())
//                .append("pudid", getPudid())
                .toString();
    }
}
